Bug 26795 - [softpipe] piglit glsl-arb-fragment-coord-conventions fails
[softpipe] piglit glsl-arb-fragment-coord-conventions fails
Status: CLOSED FIXED
Product: Mesa
Classification: Unclassified
Component: Other
git
x86 (IA32) All
: medium normal
Assigned To: Brian Paul
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-02-27 23:15 UTC by Vinson Lee
Modified: 2011-02-09 15:25 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments
glsl-arb-fragment-coord-conventions.png (1.75 KB, image/png)
2010-02-27 23:15 UTC, Vinson Lee
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Vinson Lee 2010-02-27 23:15:05 UTC
Created attachment 33634 [details]
glsl-arb-fragment-coord-conventions.png

mesa: 909c08d177638a6318382a70eee6e05ed67efd81 (master)

$ ./bin/glsl-arb-fragment-coord-conventions
Probe at (0,0)
  Expected: 0.000000 0.000000 0.000000
  Observed: 0.003922 0.015686 0.003922
Comment 1 Ian Romanick 2010-08-25 17:35:27 UTC
This test passes on both swrast and i965.
Comment 2 Vinson Lee 2010-08-25 18:22:44 UTC
mesa: fdf054a585882d5f9497384749bf33842f5d1ec4 (master)

This test still fails on softpipe.

swrast - pass
softpipe - fail
llvmpipe - fail
Comment 3 Brian Paul 2011-01-25 10:59:40 UTC
Fixed with commit 40ac24e631e694e00652a2df6c0ac5d0f07f620f
Comment 4 Vinson Lee 2011-02-09 15:25:41 UTC
mesa: c26478680989bd3d7303c5d772f7fb2a76045191 (master)

Verified fixed.